com.smartgwt.client.widgets

## Class Splitbar

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.StatefulCanvas
          - - com.smartgwt.client.widgets.StretchImg
            - - com.smartgwt.client.widgets.Splitbar

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasClickHandlers, HasDoubleClickHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRightMouseDownHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasVisibilityChangedHandlers
  Direct Known Subclasses:
    Snapbar

      public class Splitbar
      extends StretchImg

  Resize bar for use in `Layouts`, based on the `StretchImg` class. As with the `ImgSplitbar` class, widgets of this class can be displayed as a resize-bar for widgets in Layouts where showResizeBar is set to true. Provides a different appearance from the `ImgSplitbar` class.

  To specify the resizeBar class for some layout, use the `Layout.resizeBarClass` property.

  See Also:
    `Layout`, `ImgSplitbar`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Splitbar()`
    `Splitbar(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `boolean` | `getCanCollapse()` If this property is true, a click on the Splitbar will collapse its `target`, hiding it and shifting the Splitbar and other members of the layout across to fill the newly available space.
    `boolean` | `getCanCollapseOnTap()` If `canCollapse` is `true`, should a tap result in collapsing/uncollapsing the `target`? By default this is `false` because it can be difficult to tap a thin `Splitbar`.
    `java.lang.Boolean` | `getCanDrag()` `canDrag` set to true to allow dragging of the split bar.
    `Cursor` | `getCursor()` Splitbars' cursors are set at init time based on whether they are to be used for vertical or horizontal resize.
    `java.lang.String` | `getGripImgSuffix()` Suffix used the 'grip' image if `StretchImg.showGrip` is true.
    `Cursor` | `getHResizeCursor()` Cursor to display if this Splitbar is to be used for horizontal resize of widgets.
    `java.lang.String` | `getHSrc()` Base URL for the image if `StretchImg.vertical` is false and `StretchImg.src` is unset.
    `boolean` | `getInvertClosedGripIfTargetAfter()` If `showClosedGrip` is true, and `targetAfter` is true should we show the "closed" state for the grip when the target is visible (rather than when it is hidden).
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()` Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `static Splitbar` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getShowClosedGrip()` If `showGrip` is true, this property determines whether the grip image displayed should show the `"Closed"` state when the `target` is hidden.
    `java.lang.Boolean` | `getShowDownGrip()` If `StretchImg.showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget.
    `java.lang.Boolean` | `getShowGrip()` Should we show a "grip" image floating above the center of this widget?
    `java.lang.Boolean` | `getShowRollOverGrip()` If `StretchImg.showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget.
    `java.lang.String` | `getSrc()` The base URL for the image.
    `Canvas` | `getTarget()` When a `Splitbar` is created by a layout, the `target` property of the Splitbar will be a pointer to the member for which it is acting as a resizeBar.
    `java.lang.Boolean` | `getTargetAfter()` Is the `target` being shown before or after the bar? This property is automatically populated for `splitbar`s created by a layout.
    `java.lang.Boolean` | `getVertical()` Is this split bar vertically orientated? When a `Splitbar` is created by a layout to be the resizeBar for some member of the layout, the `vertical` property will be set to `true` if the layout is horizontal, meaning this resizeBar will be taller than it is wide, and will allow horizontal resizing of the member.
    `Cursor` | `getVResizeCursor()` Cursor to display if this Splitbar is to be used for vertical resize of widgets.
    `java.lang.String` | `getVSrc()` Base URL for the image if `StretchImg.vertical` is true and `StretchImg.src` is unset.
    `void` | `setCanCollapse(boolean canCollapse)` If this property is true, a click on the Splitbar will collapse its `target`, hiding it and shifting the Splitbar and other members of the layout across to fill the newly available space.
    `void` | `setCanCollapseOnTap(boolean canCollapseOnTap)` If `canCollapse` is `true`, should a tap result in collapsing/uncollapsing the `target`? By default this is `false` because it can be difficult to tap a thin `Splitbar`.
    `void` | `setCanDrag(java.lang.Boolean canDrag)` `canDrag` set to true to allow dragging of the split bar.
    `void` | `setCursor(Cursor cursor)` Splitbars' cursors are set at init time based on whether they are to be used for vertical or horizontal resize.
    `static void` | `setDefaultProperties(Splitbar splitbarProperties)` Class level method to set the default properties of this class.
    `void` | `setGripImgSuffix(java.lang.String gripImgSuffix)` Suffix used the 'grip' image if `StretchImg.showGrip` is true.
    `void` | `setHResizeCursor(Cursor hResizeCursor)` Cursor to display if this Splitbar is to be used for horizontal resize of widgets.
    `void` | `setHSrc(java.lang.String hSrc)` Base URL for the image if `StretchImg.vertical` is false and `StretchImg.src` is unset.
    `void` | `setInvertClosedGripIfTargetAfter(boolean invertClosedGripIfTargetAfter)` If `showClosedGrip` is true, and `targetAfter` is true should we show the "closed" state for the grip when the target is visible (rather than when it is hidden).
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.SplitbarLogicalStructure s)` Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `void` | `setShowClosedGrip(java.lang.Boolean showClosedGrip)` If `showGrip` is true, this property determines whether the grip image displayed should show the `"Closed"` state when the `target` is hidden.
    `void` | `setShowDownGrip(java.lang.Boolean showDownGrip)` If `StretchImg.showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget.
    `void` | `setShowGrip(java.lang.Boolean showGrip)` Should we show a "grip" image floating above the center of this widget?
    `void` | `setShowRollOverGrip(java.lang.Boolean showRollOverGrip)` If `StretchImg.showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget.
    `void` | `setSrc(java.lang.String src)` The base URL for the image.
    `void` | `setTargetAfter(java.lang.Boolean targetAfter)` Is the `target` being shown before or after the bar? This property is automatically populated for `splitbar`s created by a layout.
    `void` | `setVResizeCursor(Cursor vResizeCursor)` Cursor to display if this Splitbar is to be used for vertical resize of widgets.
    `void` | `setVSrc(java.lang.String vSrc)` Base URL for the image if `StretchImg.vertical` is true and `StretchImg.src` is unset.

    - ### Methods inherited from class com.smartgwt.client.widgets.StretchImg

      `getCapSize, getIgnoreRTL, getImageType, getItemBaseStyle, getItems, getShowTitle, setCapSize, setDefaultProperties, setIgnoreRTL, setImageType, setItemBaseStyle, setItems, setLogicalStructure, setShowTitle, setState, setState, setVertical`

    - ### Methods inherited from class com.smartgwt.client.widgets.StatefulCanvas

      `addToRadioGroup, deselect, getActionType, getAlign, getAutoFit, getBaseStyle, getEditProxyConstructor, getIcon, getIconHeight, getIconOrientation, getIconSize, getIconStyle, getIconWidth, getOverCanvas, getOverCanvasConstructor, getRadioGroup, getRedrawOnStateChange, getSelected, getShowDisabled, getShowDisabledIcon, getShowDown, getShowDownIcon, getShowFocused, getShowFocusedAsOver, getShowFocusedIcon, getShowOverCanvas, getShowRollOver, getShowRollOverIcon, getShowRTLIcon, getShowSelectedIcon, getState, getStateSuffix, getTitle, getValign, isSelected, removeFromRadioGroup, removeFromRadioGroup, select, setActionType, setAlign, setAutoFit, setBaseStyle, setDefaultProperties, setEditProxyConstructor, setIcon, setIconHeight, setIconOrientation, setIconSize, setIconStyle, setIconWidth, setLogicalStructure, setOverCanvasConstructor, setRadioGroup, setRedrawOnStateChange, setSelected, setShowDisabled, setShowDisabledIcon, setShowDown, setShowDownIcon, setShowFocused, setShowFocusedAsOver, setShowFocusedIcon, setShowOverCanvas, setShowRollOver, setShowRollOverIcon, setShowRTLIcon, setShowSelectedIcon, setState, setTitle, setTitleStyle, setValign`

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsFocus, containsPoint, containsPoint, deparent, depeer, disable, enable, encloses, focus, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaRole, getAutoDraw, getAutoMaskComponents, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContextMenu, getDataPath, getDefaultHeight, getDefaultWidth, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragType, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFormItemAutoChild, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverComponent, getHoverDelay, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapOrigin, getHSnapOrigin, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeavePageSpace, getLeft, getLeftAsString, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMaxHeight, getMaxWidth, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getOverflow, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPanelContainer, getParentCanvas, getParentElement, getPeers, getPercentBox, getPercentSource, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowDepth, getShadowImage, getShadowOffset, getShadowSoftness, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowHover, getShowHoverComponents, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStyleName, getTabIndex, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getUseBackMask, getUseDragMask, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWidth, getVSnapOrigin, getVSnapOrigin, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, intersects, isDirty, isDisabled, isDrawn, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, onInit, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, printComponents, provideRuleContext, redraw, redraw, removeChild, removeChild, removePeer, removePeer, removeSnapAlignCandidate, resizeBy, resizeTo, resizeTo, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAllowExternalFilters, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoDraw, setAutoHeight, setAutoMaskComponents, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBottom, setCanAcceptDrop, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContextMenu, setDataPath, setDefaultHeight, setDefaultPageSpace, setDefaultProperties, setDefaultWidth, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragType, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setExtraSpace, setFacetId, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverDelay, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeavePageSpace, setLeft, setLeft, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLogicalStructure, setMargin, setMatchElement, setMaxHeight, setMaxWidth, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setOverflow, setPadding, setPageLeft, setPageTop, setParentCanvas, setParentElement, setPeers, setPercentBox, setPercentSource, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setRect, setRect, setRedrawOnResize, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setScrollbarConstructor, setScrollbarSize, setShadowDepth, setShadowImage, setShadowOffset, setShadowSoftness, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowHover, setShowHoverComponents, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStyleName, setTabIndex, setTooltip, setTop, setTop, setUseBackMask, setUseDragMask, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setVisibility, setVisible, setWidth, setWidth, setWidth, setWidth100, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, updateEditNode, updateHover, updateHover, updateShadow, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, applyFactoryProperties, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### Splitbar

          public Splitbar()

    - #### Splitbar

          public Splitbar(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static Splitbar getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `StretchImg`

    - #### setCanCollapse

          public void setCanCollapse(boolean canCollapse)

      If this property is true, a click on the Splitbar will collapse its `target`, hiding it and shifting the Splitbar and other members of the layout across to fill the newly available space. If the target is already hidden a click will expand it again (showing it at its normal size).

      Note that on touch devices, to enable collapsing/uncollapsing the `target` in response to a tap, `canCollapseOnTap` must be set to `true`.

      Parameters:
        `canCollapse` - Default value is true

    - #### getCanCollapse

          public boolean getCanCollapse()

      If this property is true, a click on the Splitbar will collapse its `target`, hiding it and shifting the Splitbar and other members of the layout across to fill the newly available space. If the target is already hidden a click will expand it again (showing it at its normal size).

      Note that on touch devices, to enable collapsing/uncollapsing the `target` in response to a tap, `canCollapseOnTap` must be set to `true`.

      Returns:
        boolean

    - #### setCanCollapseOnTap

          public void setCanCollapseOnTap(boolean canCollapseOnTap)

      If `canCollapse` is `true`, should a tap result in collapsing/uncollapsing the `target`? By default this is `false` because it can be difficult to tap a thin `Splitbar`.

      If this property is set to `true`, it is recommended to increase the width/height of the `Splitbar` on touch devices (see, e.g., `Layout.resizeBarSize`).

      Parameters:
        `canCollapseOnTap` - Default value is false

    - #### getCanCollapseOnTap

          public boolean getCanCollapseOnTap()

      If `canCollapse` is `true`, should a tap result in collapsing/uncollapsing the `target`? By default this is `false` because it can be difficult to tap a thin `Splitbar`.

      If this property is set to `true`, it is recommended to increase the width/height of the `Splitbar` on touch devices (see, e.g., `Layout.resizeBarSize`).

      Returns:
        boolean

    - #### setCanDrag

          public void setCanDrag(java.lang.Boolean canDrag)

      `canDrag` set to true to allow dragging of the split bar. Dragging the Splitbar will resize it's `target`
      Overrides:
        `setCanDrag` in class `Canvas`
      Parameters:
        `canDrag` - Default value is true
      See Also:
        `Dragdrop overview and related methods`, Drag create Example

    - #### getCanDrag

          public java.lang.Boolean getCanDrag()

      `canDrag` set to true to allow dragging of the split bar. Dragging the Splitbar will resize it's `target`
      Overrides:
        `getCanDrag` in class `Canvas`
      Returns:
        Boolean
      See Also:
        `Dragdrop overview and related methods`, Drag create Example

    - #### setCursor

          public void setCursor(Cursor cursor)

      Splitbars' cursors are set at init time based on whether they are to be used for vertical or horizontal resize. To customize the cursor for this class, modify `vResizeCursor` or `hResizeCursor` rather than this property.
      Overrides:
        `setCursor` in class `Canvas`
      Parameters:
        `cursor` - Default value is "hand"
      See Also:
        `Cues overview and related methods`, Drag create Example, Cursors Example

    - #### getCursor

          public Cursor getCursor()

      Splitbars' cursors are set at init time based on whether they are to be used for vertical or horizontal resize. To customize the cursor for this class, modify `vResizeCursor` or `hResizeCursor` rather than this property.
      Overrides:
        `getCursor` in class `Canvas`
      Returns:
        Cursor
      See Also:
        `Cues overview and related methods`, Drag create Example, Cursors Example

    - #### setGripImgSuffix

          public void setGripImgSuffix(java.lang.String gripImgSuffix)
                                throws java.lang.IllegalStateException

      Suffix used the 'grip' image if `StretchImg.showGrip` is true.

      Note : This is an advanced setting

      Overrides:
        `setGripImgSuffix` in class `StretchImg`
      Parameters:
        `gripImgSuffix` - Default value is "grip"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getGripImgSuffix

          public java.lang.String getGripImgSuffix()

      Suffix used the 'grip' image if `StretchImg.showGrip` is true.
      Overrides:
        `getGripImgSuffix` in class `StretchImg`
      Returns:
        String

    - #### setHResizeCursor

          public void setHResizeCursor(Cursor hResizeCursor)
                                throws java.lang.IllegalStateException

      Cursor to display if this Splitbar is to be used for horizontal resize of widgets.
      Parameters:
        `hResizeCursor` - Default value is "col-resize"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getHResizeCursor

          public Cursor getHResizeCursor()

      Cursor to display if this Splitbar is to be used for horizontal resize of widgets.
      Returns:
        Cursor

    - #### setHSrc

          public void setHSrc(java.lang.String hSrc)
                       throws java.lang.IllegalStateException

      Base URL for the image if `StretchImg.vertical` is false and `StretchImg.src` is unset.
      Overrides:
        `setHSrc` in class `StretchImg`
      Parameters:
        `hSrc` - See `SCImgURL` . Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `StretchImg.setSrc(java.lang.String)`, `StretchImg.setVSrc(java.lang.String)`, `Appearance overview and related methods`

    - #### getHSrc

          public java.lang.String getHSrc()

      Base URL for the image if `StretchImg.vertical` is false and `StretchImg.src` is unset.
      Overrides:
        `getHSrc` in class `StretchImg`
      Returns:
        See `SCImgURL`
      See Also:
        `StretchImg.getSrc()`, `StretchImg.getVSrc()`, `Appearance overview and related methods`

    - #### setInvertClosedGripIfTargetAfter

          public void setInvertClosedGripIfTargetAfter(boolean invertClosedGripIfTargetAfter)

      If `showClosedGrip` is true, and `targetAfter` is true should we show the "closed" state for the grip when the target is visible (rather than when it is hidden).

      This property is useful for the case where the grip media is a simple directional arrow. The same image can be used for expanded state on one side of the bar or collapsed state on the other.

      Note : This is an advanced setting

      Parameters:
        `invertClosedGripIfTargetAfter` - Default value is true

    - #### getInvertClosedGripIfTargetAfter

          public boolean getInvertClosedGripIfTargetAfter()

      If `showClosedGrip` is true, and `targetAfter` is true should we show the "closed" state for the grip when the target is visible (rather than when it is hidden).

      This property is useful for the case where the grip media is a simple directional arrow. The same image can be used for expanded state on one side of the bar or collapsed state on the other.

      Returns:
        boolean

    - #### setShowClosedGrip

          public void setShowClosedGrip(java.lang.Boolean showClosedGrip)
                                 throws java.lang.IllegalStateException

      If `showGrip` is true, this property determines whether the grip image displayed should show the `"Closed"` state when the `target` is hidden. Note that if `invertClosedGripIfTargetAfter` is true, we may show the "closed" state when the target is visible, rather than when it is hidden.

      Note : This is an advanced setting

      Parameters:
        `showClosedGrip` - Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowClosedGrip

          public java.lang.Boolean getShowClosedGrip()

      If `showGrip` is true, this property determines whether the grip image displayed should show the `"Closed"` state when the `target` is hidden. Note that if `invertClosedGripIfTargetAfter` is true, we may show the "closed" state when the target is visible, rather than when it is hidden.
      Returns:
        Boolean

    - #### setShowDownGrip

          public void setShowDownGrip(java.lang.Boolean showDownGrip)
                               throws java.lang.IllegalStateException

      If `StretchImg.showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget. Has no effect if `StatefulCanvas.showDown` is false.

      Note : This is an advanced setting

      Overrides:
        `setShowDownGrip` in class `StretchImg`
      Parameters:
        `showDownGrip` - Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowDownGrip

          public java.lang.Boolean getShowDownGrip()

      If `StretchImg.showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget. Has no effect if `StatefulCanvas.showDown` is false.
      Overrides:
        `getShowDownGrip` in class `StretchImg`
      Returns:
        Boolean

    - #### setShowGrip

          public void setShowGrip(java.lang.Boolean showGrip)
                           throws java.lang.IllegalStateException

      Should we show a "grip" image floating above the center of this widget?

      Note : This is an advanced setting

      Overrides:
        `setShowGrip` in class `StretchImg`
      Parameters:
        `showGrip` - Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowGrip

          public java.lang.Boolean getShowGrip()

      Should we show a "grip" image floating above the center of this widget?
      Overrides:
        `getShowGrip` in class `StretchImg`
      Returns:
        Boolean

    - #### setShowRollOverGrip

          public void setShowRollOverGrip(java.lang.Boolean showRollOverGrip)
                                   throws java.lang.IllegalStateException

      If `StretchImg.showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget. Has no effect if `StatefulCanvas.showRollOver` is false.

      Note : This is an advanced setting

      Overrides:
        `setShowRollOverGrip` in class `StretchImg`
      Parameters:
        `showRollOverGrip` - Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowRollOverGrip

          public java.lang.Boolean getShowRollOverGrip()

      If `StretchImg.showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget. Has no effect if `StatefulCanvas.showRollOver` is false.
      Overrides:
        `getShowRollOverGrip` in class `StretchImg`
      Returns:
        Boolean

    - #### setSrc

          public void setSrc(java.lang.String src)
                      throws java.lang.IllegalStateException

      The base URL for the image.

      The `State` for the component will be combined with this URL using the same approach as described in `Img.src`. Then the image segment `name` as specified by each `StretchItem` is added.

      For example, for a stretchImg in "Over" state with a `src` of "button.png" and a segment name of "stretch", the resulting URL would be "button_Over_stretch.png".

      Overrides:
        `setSrc` in class `StretchImg`
      Parameters:
        `src` - See `SCImgURL` . Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `StretchImg.setHSrc(java.lang.String)`, `StretchImg.setVSrc(java.lang.String)`, `Appearance overview and related methods`

    - #### getSrc

          public java.lang.String getSrc()

      The base URL for the image.

      The `State` for the component will be combined with this URL using the same approach as described in `Img.src`. Then the image segment `name` as specified by each `StretchItem` is added.

      For example, for a stretchImg in "Over" state with a `src` of "button.png" and a segment name of "stretch", the resulting URL would be "button_Over_stretch.png".

      Overrides:
        `getSrc` in class `StretchImg`
      Returns:
        See `SCImgURL`
      See Also:
        `StretchImg.getHSrc()`, `StretchImg.getVSrc()`, `Appearance overview and related methods`

    - #### getTarget

          public Canvas getTarget()
                           throws java.lang.IllegalStateException

      When a `Splitbar` is created by a layout, the `target` property of the Splitbar will be a pointer to the member for which it is acting as a resizeBar. The Splitbar will be positioned next to its target, and will resize it on drag completion.

      See `Layout.resizeBarClass`, `Canvas.showResizeBar` and `Canvas.resizeBarTarget` for details on configuring the resize bars shown in Layouts.

      Note : This method should be called only after the widget has been rendered.

      Returns:
        Canvas
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setTargetAfter

          public void setTargetAfter(java.lang.Boolean targetAfter)

      Is the `target` being shown before or after the bar? This property is automatically populated for `splitbar`s created by a layout.

      Note : This is an advanced setting

      Parameters:
        `targetAfter` - Default value is null
      See Also:
        `setInvertClosedGripIfTargetAfter(boolean)`

    - #### getTargetAfter

          public java.lang.Boolean getTargetAfter()

      Is the `target` being shown before or after the bar? This property is automatically populated for `splitbar`s created by a layout.
      Returns:
        Boolean
      See Also:
        `getInvertClosedGripIfTargetAfter()`

    - #### getVertical

          public java.lang.Boolean getVertical()
                                        throws java.lang.IllegalStateException

      Is this split bar vertically orientated?
      When a `Splitbar` is created by a layout to be the resizeBar for some member of the layout, the `vertical` property will be set to `true` if the layout is horizontal, meaning this resizeBar will be taller than it is wide, and will allow horizontal resizing of the member.

      Note : This method should be called only after the widget has been rendered.

      Overrides:
        `getVertical` in class `StretchImg`
      Returns:
        Boolean
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.
      See Also:
        `Appearance overview and related methods`

    - #### setVResizeCursor

          public void setVResizeCursor(Cursor vResizeCursor)
                                throws java.lang.IllegalStateException

      Cursor to display if this Splitbar is to be used for vertical resize of widgets.
      Parameters:
        `vResizeCursor` - Default value is "row-resize"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getVResizeCursor

          public Cursor getVResizeCursor()

      Cursor to display if this Splitbar is to be used for vertical resize of widgets.
      Returns:
        Cursor

    - #### setVSrc

          public void setVSrc(java.lang.String vSrc)
                       throws java.lang.IllegalStateException

      Base URL for the image if `StretchImg.vertical` is true and `StretchImg.src` is unset.
      Overrides:
        `setVSrc` in class `StretchImg`
      Parameters:
        `vSrc` - See `SCImgURL` . Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `StretchImg.setSrc(java.lang.String)`, `StretchImg.setVSrc(java.lang.String)`, `Appearance overview and related methods`

    - #### getVSrc

          public java.lang.String getVSrc()

      Base URL for the image if `StretchImg.vertical` is true and `StretchImg.src` is unset.
      Overrides:
        `getVSrc` in class `StretchImg`
      Returns:
        See `SCImgURL`
      See Also:
        `StretchImg.getSrc()`, `StretchImg.getVSrc()`, `Appearance overview and related methods`

    - #### setDefaultProperties

          public static void setDefaultProperties(Splitbar splitbarProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `splitbarProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.SplitbarLogicalStructure s)

      Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `StretchImg`